Create address - Fabric

Create address

cURL

curl --request POST \
  --url https://api.fabric.inc/v3/carts/{cartId}/addresses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '\n{\n  "addressLine1": "123 Park Road",\n  "city": "Santa Cruz",\n  "region": "California",\n  "country": "USA",\n  "postalCode": "12345",\n  "email": "john@test.com",\n  "addressLine2": "<string>",\n  "addressLine3": "<string>",\n  "addressLine4": "<string>"\n}\n'

Python Example

import requests

url = "https://api.fabric.inc/v3/carts/{cartId}/addresses"

payload = {
    "addressLine1": "123 Park Road",
    "city": "Santa Cruz",
    "region": "California",
    "country": "USA",
    "postalCode": "12345",
    "email": "john@test.com",
    "addressLine2": "<string>",
    "addressLine3": "<string>",
    "addressLine4": "<string>"
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript Fetch Example

const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    addressLine1: '123 Park Road',
    city: 'Santa Cruz',
    region: 'California',
    country: 'USA',
    postalCode: '12345',
    email: 'john@test.com',
    addressLine2: '<string>',
    addressLine3: '<string>',
    addressLine4: '<string>'
  })
};

fetch('https://api.fabric.inc/v3/carts/{cartId}/addresses', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP Example




Response Codes

{
  "id": "a8577d7f-0d4d-4b22-8e85-7b4a2e90dc93",
  "name": {
    "first": "John",
    "middle": "S",
    "last": "Doe"
  },
  "email": "john@test.com",
  "phone": {
    "number": "123-456-7890",
    "type": "MOBILE"
  },
  "addressLine1": "123 Park Road",
  "addressLine2": "<string>",
  "addressLine3": "<string>",
  "addressLine4": "<string>",
  "city": "Santa Cruz",
  "region": "California",
  "country": "USA",
  "postalCode": "12345",
  "updatedAt": "2024-06-13T16:50:00.682Z",
  "createdAt": "2024-06-13T16:50:00.682Z"
}
{
  "type": "BAD_REQUEST",
  "message": "x-fabric-tenant-id is required"
}
{
  "type": "CART_NOT_FOUND",
  "message": "Cart not found"
}